package it.integry.integrywmsnative.core.model;

import android.util.Log;

public abstract class EntityBase implements Cloneable{

    public String operation;
    public String type;
    public boolean onlyPkMaster = false;

    public String getOperation() {
        return operation;
    }

    public EntityBase setOperation(String operation) {
        this.operation = operation;
        return this;
    }

    public boolean isOnlyPkMaster() {
        return onlyPkMaster;
    }

    public EntityBase setOnlyPkMaster(boolean onlyPkMaster) {
        this.onlyPkMaster = onlyPkMaster;
        return this;
    }

    @Override
    public EntityBase clone(){
        EntityBase clone = null;

        try {
            clone = (EntityBase) super.clone();
        } catch (CloneNotSupportedException ex){
            Log.e("CloneError", ex.getMessage());
        }

        return clone;
    }
}
